Summary:	Open Source bandwidth measurement tool
Name:		bwping
Version:	1.7
Release:	1%{?dist}
License:	BSD License
Group:		Applications/Internet
URL:		http://bwping.sourceforge.net
Source:		http://downloads.sourceforge.net/project/%{name}/%{name}/${version}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BWPing is a tool to measure bandwidth and response times between two hosts using Internet Control Message Protocol (ICMP) echo request/echo reply mechanism. 
It does not require any special software on the remote host. The only requirement is the ability to respond on ICMP echo request messages.
Although BWPing does not require any special software on the remote host (only the ability to respond on ICMP echo request messages), 
there are some special requirements to network infrastructure, local and remote host performance:

-There should be no ICMP echo request/reply filtering on the network; this includes QoS mechanisms (which often affects ICMP) at any point in the testing path.
-Local host should have enough CPU resources to send ICMP echo request messages with given rate, and remote host should quickly respond on these messages 
 and should have no ICMP bandwidth limiting turned on.

If some of these requirements are not satisfied then the measurement results will be inadequate or fail completely. In general, for testing bandwidth where QoS is implemented, always test with traffic that matches the QoS class to be tested.

%prep
%setup -q
autoreconf -f

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README AUTHORS
%{_sbindir}/%{name}
%{_sbindir}/%{name}6
%{_mandir}/man8/%{name}*

%changelog
* Tue May  7 2013 Roman Dmitriev <rnd@sovtest.ru>
- update to 1.7

* Tue Dec 20 2011 Roman Dmitriev <rnd@sovtest.ru>
- Initial RPM release.
